# Update GP Workers Additional Information

PATCH https://api.letsdeel.com/rest/v2/gp/workers/contracts/{contract_id}/additional-information
Content-Type: application/json

Use this endpoint to update additional information for a GP worker's contract.  Provide the extra fields in the request body under 'data' for the contract identified by 'contract_id'.
 **Token scopes**: `people:write`

Reference: https://developer.deel.com/api/endpoints/worker-information/get-gp-worker-additional-information

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /gp/workers/contracts/{contract_id}/additional-information:
    patch:
      operationId: get-gp-worker-additional-information
      summary: Update GP Workers Additional Information
      description: >-
        Use this endpoint to update additional information for a GP worker's
        contract.  Provide the extra fields in the request body under 'data' for
        the contract identified by 'contract_id'.
         **Token scopes**: `people:write`
      tags:
        - subpackage_workerInformation
      parameters:
        - name: contract_id
          in: path
          description: The unique public identifier of the contract.
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '204':
          description: Operation successful.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/worker-information_getGPWorkerAdditionalInformation_Response_204
        '400':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/UpdateGpWorkersAdditionalInformationRequestBadRequestError
        '401':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '500':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/UpdateGpWorkersAdditionalInformationRequestInternalServerError
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  additionalProperties:
                    $ref: >-
                      #/components/schemas/GpWorkersContractsContractIdAdditionalInformationPatchRequestBodyContentApplicationJsonSchemaData
              required:
                - data
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    GpWorkersContractsContractIdAdditionalInformationPatchRequestBodyContentApplicationJsonSchemaData:
      oneOf:
        - type: string
        - type: number
          format: double
        - type: boolean
      title: >-
        GpWorkersContractsContractIdAdditionalInformationPatchRequestBodyContentApplicationJsonSchemaData
    worker-information_getGPWorkerAdditionalInformation_Response_204:
      type: object
      properties: {}
      description: Empty response body
      title: worker-information_getGPWorkerAdditionalInformation_Response_204
    GpWorkersContractsContractIdAdditionalInformationPatchResponsesContentApplicationJsonSchemaErrorsItems:
      type: object
      properties:
        code:
          type: string
          description: Machine-readable error code
        message:
          type: string
          description: Human-readable explanation of the error
      title: >-
        GpWorkersContractsContractIdAdditionalInformationPatchResponsesContentApplicationJsonSchemaErrorsItems
    UpdateGpWorkersAdditionalInformationRequestBadRequestError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/GpWorkersContractsContractIdAdditionalInformationPatchResponsesContentApplicationJsonSchemaErrorsItems
      title: UpdateGpWorkersAdditionalInformationRequestBadRequestError
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
    UpdateGpWorkersAdditionalInformationRequestInternalServerError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/GpWorkersContractsContractIdAdditionalInformationPatchResponsesContentApplicationJsonSchemaErrorsItems
      title: UpdateGpWorkersAdditionalInformationRequestInternalServerError
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/gp/workers/contracts/mnrw11a/additional-information"

payload = { "body": { "data": {
            "emergency_contact_name": "Jane Doe",
            "emergency_contact_phone": "+44 7700 900123",
            "has_driving_license": True,
            "preferred_language": "English",
            "work_permit_number": "WP123456789",
            "is_smoker": False,
            "years_of_experience": 5,
            "additional_notes": "Requires ergonomic chair due to back issues"
        } } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/gp/workers/contracts/mnrw11a/additional-information';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"body":{"data":{"emergency_contact_name":"Jane Doe","emergency_contact_phone":"+44 7700 900123","has_driving_license":true,"preferred_language":"English","work_permit_number":"WP123456789","is_smoker":false,"years_of_experience":5,"additional_notes":"Requires ergonomic chair due to back issues"}}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/gp/workers/contracts/mnrw11a/additional-information"

	payload := strings.NewReader("{\n  \"body\": {\n    \"data\": {\n      \"emergency_contact_name\": \"Jane Doe\",\n      \"emergency_contact_phone\": \"+44 7700 900123\",\n      \"has_driving_license\": true,\n      \"preferred_language\": \"English\",\n      \"work_permit_number\": \"WP123456789\",\n      \"is_smoker\": false,\n      \"years_of_experience\": 5,\n      \"additional_notes\": \"Requires ergonomic chair due to back issues\"\n    }\n  }\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/gp/workers/contracts/mnrw11a/additional-information")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"body\": {\n    \"data\": {\n      \"emergency_contact_name\": \"Jane Doe\",\n      \"emergency_contact_phone\": \"+44 7700 900123\",\n      \"has_driving_license\": true,\n      \"preferred_language\": \"English\",\n      \"work_permit_number\": \"WP123456789\",\n      \"is_smoker\": false,\n      \"years_of_experience\": 5,\n      \"additional_notes\": \"Requires ergonomic chair due to back issues\"\n    }\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.letsdeel.com/rest/v2/gp/workers/contracts/mnrw11a/additional-information")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"body\": {\n    \"data\": {\n      \"emergency_contact_name\": \"Jane Doe\",\n      \"emergency_contact_phone\": \"+44 7700 900123\",\n      \"has_driving_license\": true,\n      \"preferred_language\": \"English\",\n      \"work_permit_number\": \"WP123456789\",\n      \"is_smoker\": false,\n      \"years_of_experience\": 5,\n      \"additional_notes\": \"Requires ergonomic chair due to back issues\"\n    }\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.letsdeel.com/rest/v2/gp/workers/contracts/mnrw11a/additional-information', [
  'body' => '{
  "body": {
    "data": {
      "emergency_contact_name": "Jane Doe",
      "emergency_contact_phone": "+44 7700 900123",
      "has_driving_license": true,
      "preferred_language": "English",
      "work_permit_number": "WP123456789",
      "is_smoker": false,
      "years_of_experience": 5,
      "additional_notes": "Requires ergonomic chair due to back issues"
    }
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/gp/workers/contracts/mnrw11a/additional-information");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"body\": {\n    \"data\": {\n      \"emergency_contact_name\": \"Jane Doe\",\n      \"emergency_contact_phone\": \"+44 7700 900123\",\n      \"has_driving_license\": true,\n      \"preferred_language\": \"English\",\n      \"work_permit_number\": \"WP123456789\",\n      \"is_smoker\": false,\n      \"years_of_experience\": 5,\n      \"additional_notes\": \"Requires ergonomic chair due to back issues\"\n    }\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["body": ["data": [
      "emergency_contact_name": "Jane Doe",
      "emergency_contact_phone": "+44 7700 900123",
      "has_driving_license": true,
      "preferred_language": "English",
      "work_permit_number": "WP123456789",
      "is_smoker": false,
      "years_of_experience": 5,
      "additional_notes": "Requires ergonomic chair due to back issues"
    ]]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/gp/workers/contracts/mnrw11a/additional-information")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```